Stagefright vulnerability on BB10 phones?

Reply
I'm a Participant Level 2 94cdnm3
I'm a Participant Level 2

Stagefright vulnerability on BB10 phones?

Hello, I have a Blackberry 10 phone with Android Runtime and the Amazon Android App store. Would I need a patch as well? Or am I safe since it is my phone runs on the Blackberry 10 OS and the Android runtime is sandboxed?

 

Thanks for your help on this in advance.

 

 

 

Accepted Solution

Re: Stagefright vulnerability on BB10 phones?

xyz is correct. StageFright will not affect BB10 devices because, although BB10 has a Android compatibility runtime, it does not use the Android core libraries for things like multimedia. This is where the StageFright hole exists so BB10 is not affected. This is also true of the more recent but less reported "certifi-gate" vulnerability (now in the wild) that allowed remote execution on Android or the exploit to steal finger prints from all Androids with finger print scanners. They only affect Android, so BB10 has nothing to worry about for these Android specific security holes.

 

However, with current rumours that BB will soon release an Android phone, all bets are off.

View solution in context
Flag this to a Moderator
Message 1 of 5
1,471 Views
I'm Qualified Level 2
I'm Qualified Level 2

Re: Stagefright vulnerability on BB10 phones?

Unlikely because the vulnerability depends on an Android application opening up a MMS. By default, it's a BlackBerry application that opens up SMS/MMS, so the Android runtime isn't called.

 

Unless of course you change your default SMS/MMS app to an Android one.

 

That's my understanding at least (based on the link above).

Flag this to a Moderator
Message 2 of 5
1,467 Views
I'm an Expert Level 2
I'm an Expert Level 2
Solution

Re: Stagefright vulnerability on BB10 phones?

xyz is correct. StageFright will not affect BB10 devices because, although BB10 has a Android compatibility runtime, it does not use the Android core libraries for things like multimedia. This is where the StageFright hole exists so BB10 is not affected. This is also true of the more recent but less reported "certifi-gate" vulnerability (now in the wild) that allowed remote execution on Android or the exploit to steal finger prints from all Androids with finger print scanners. They only affect Android, so BB10 has nothing to worry about for these Android specific security holes.

 

However, with current rumours that BB will soon release an Android phone, all bets are off.

Flag this to a Moderator
Message 3 of 5
1,453 Views
Highlighted
I'm a Contributor Level 2 sal_67
I'm a Contributor Level 2

Re: Stagefright vulnerability on BB10 phones?

you have nothing to worry about, my friend.

 

blackberry is the most secure OS. Smiley

Flag this to a Moderator
Message 4 of 5
1,376 Views
I'm Qualified Level 1
I'm Qualified Level 1

Re: Stagefright vulnerability on BB10 phones?

Nothing to worry about with BB10 OS not the upcoming BlackBerry Priv running android OS. The Priv will have the highest security through BlackBerry DTEK software that will "detect" potential threats if they exist. Rest assured that BB10 OS is safe.



If you liked my answer or I solved your problem please click like or solved.
Flag this to a Moderator
Message 5 of 5
1,230 Views